summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Jick Nan2010-05-11 20:01:03 +0200
committer Robby Workman2010-05-11 20:01:03 +0200
commit78e1fa947a3c924415a72052d2e55f4f59963a5d (patch)
tree9ab8e5060a2ad2e00dca3f5a9013497101926c2e /libraries
parent2377da57ea0b4d885b2e7a97781f2dc6a84f0cab (diff)
downloadslackbuilds-78e1fa947a3c924415a72052d2e55f4f59963a5d.tar.gz
libraries/scim: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/scim/README21
-rw-r--r--libraries/scim/scim.SlackBuild67
-rw-r--r--libraries/scim/scim.info8
-rw-r--r--libraries/scim/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/libraries/scim/README b/libraries/scim/README
new file mode 100644
index 0000000000..7dfe7900cf
--- /dev/null
+++ b/libraries/scim/README
@@ -0,0 +1,21 @@
+SCIM is a Smart Common Input Method platform which provides a
+user-friendly and full-featured input method user interface for
+POSIX-style operating systems.
+
+Currently the SCIM project has a wide range of input methods
+(some may need other libraries) covering more than 30 languages,
+including (Simplified/Traditional) Chinese, Japanese, Korean,
+ and many European languages. Composing/Dead key support is
+also one of the built-in features. In addition, several projects
+have been established to design IMEngines for SCIM, and others
+supply their own SCIM plugins.
+
+To use scim, you need set something in ~/.xinitrc like:
+ export GTK_IM_MODULE="xim"
+ export XMODIFIERS="@im=SCIM"
+then start scim:
+ scim -d 1> /dev/null 2> /dev/null
+
+This is just a platform; you also need a special input method.
+I used scim-fcitx for Chinese PinYin input.
+I also will submit scim-fcitx to SlackBuilds.org later.
diff --git a/libraries/scim/scim.SlackBuild b/libraries/scim/scim.SlackBuild
new file mode 100644
index 0000000000..348848cfb3
--- /dev/null
+++ b/libraries/scim/scim.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for scim
+# Written by Jick Nan (jick.nan@gmail.com)
+
+PRGNAM=scim
+VERSION=1.4.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+fi
+
+if [ -d $PKG/usr/info ]; then
+ gzip -9 $PKG/usr/info/*.info*
+ rm -rf $PKG/usr/info/dir
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/scim/scim.info b/libraries/scim/scim.info
new file mode 100644
index 0000000000..6bc340fbe1
--- /dev/null
+++ b/libraries/scim/scim.info
@@ -0,0 +1,8 @@
+PRGNAM="scim"
+VERSION="1.4.6"
+HOMEPAGE="http://www.scim-im.org/"
+DOWNLOAD="http://dl.sourceforge.net/scim/scim-1.4.6.tar.gz"
+MD5SUM="4fc993c59a2dd7c8b9d9f240697d5b3b"
+MAINTAINER="Jick Nan"
+EMAIL="jick.nan@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/scim/slack-desc b/libraries/scim/slack-desc
new file mode 100644
index 0000000000..5ea436f318
--- /dev/null
+++ b/libraries/scim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+scim: scim (Smart Common Input Method platform)
+scim:
+scim: Smart Common Input Method platform, which provides not only
+scim: a user friendly, full featured input method user interface
+scim: for POSIC-style operating system.
+scim:
+scim:
+scim:
+scim:
+scim:
+scim: